%define upstream_name    Data-Section
%define upstream_version 0.200006

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    read multiple hunks of data out of your DATA section
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(MRO::Compat) >= 0.90.0
BuildRequires: perl(Sub::Exporter) >= 0.979.0
BuildRequires: perl(Test::FailWarnings)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Data::Section provides an easy way to access multiple named chunks of
line-oriented data in your module's DATA section. It was written to allow
modules to store their own templates, but probably has other uses.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.200.6-5.mga6
+ Revision: 1024836
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.200.6-4.mga6
+ Revision: 946599
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.200.6-3.mga5
+ Revision: 744122
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.6-2.mga5
+ Revision: 684234
- Mageia 5 Mass Rebuild

* Fri Mar 14 2014 jquelin <jquelin> 0.200.6-1.mga5
+ Revision: 603712
- update to 0.200006

* Tue Feb 04 2014 shlomif <shlomif> 0.200.5-1.mga5
+ Revision: 581523
- update to 0.200005

* Sat Oct 19 2013 umeabot <umeabot> 0.101.622-2.mga4
+ Revision: 528650
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 0.101.622-1.mga4
+ Revision: 446889
- update to 0.101622

* Sun Jan 13 2013 umeabot <umeabot> 0.101.621-2.mga3
+ Revision: 365428
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.101.621-1.mga2
+ Revision: 106583
- update to 0.101621

* Thu Jan 20 2011 jquelin <jquelin> 0.101.620-1.mga1
+ Revision: 26076
- mageia rebuild
- imported package perl-Data-Section


* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.101.620-1mdv2011.0
+ Revision: 553088
- update to 0.101620

* Mon Mar 22 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.770-1mdv2010.1
+ Revision: 526436
- update to 0.100770

* Fri Jan 29 2010 Jérôme Quelin <jquelin@mandriva.org> 0.100.270-1mdv2010.1
+ Revision: 498066
- adding missing buildrequires:
- update to 0.100270

* Tue Dec 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.93.410-1mdv2010.1
+ Revision: 474740
- update to 0.093410

* Tue Dec 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.93.330-1mdv2010.1
+ Revision: 472240
- update to 0.093330

* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.91.820-1mdv2010.0
+ Revision: 395132
- update to 0.091820
- using %%perl_convert_version
- fixed license field

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.005-1mdv2009.1
+ Revision: 300690
- import perl-Data-Section


* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.005-1mdv2009.1
- initial mdv release, generated with cpan2dist

